---
# tasks file for ansible-role-ranger
- name: Make sure python is installed
  package:
    name: python3
    state: present
  become: true

- name: Install ranger
  package:
    name: ranger
    state: present
  become: yes

- name: Copy the ranger configuration files from global folder
  copy:
    src: "../../../config_files/ranger"
    dest: "$HOME/.config/"
  ignore_errors: true
  register: global_config

- name: Copy the ranger configuration files locally
  copy:
    src: "files/ranger"
    dest: "$HOME/.config/ranger"
  when: global_config.failed
